
QGIS Application - Feature request #7369

Size limit when using postgis data source

2013-03-16 08:46 AM - Alex Mandel

Status: Open

Priority: Normal

Assignee: Victor Olaya

Category: Processing/SAGA

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 16342

Description

My layer that I want to run IDW on in postgis is 3.6G. Sextante trying to write this out to a temp shapefile on the system before passing to

SAGA is a huge problem that will never work because the dbf table exceeds the 2 G limit. I let it run for 8 hours and if never seems to

finish even making the shp. So this may be a SAGA bug for requiring shp input but we need to find a way to allow passing large data to

analysis algorithms with a memory provider or using postgis directly. I have 32 G of RAM and am on 64 bit Ubuntu.

Related issues:

Related to QGIS Application - Feature request # 8249: Warning before running ... Feedback 2013-07-10

History

#1 - 2013-03-16 11:52 AM - Victor Olaya

- Status changed from Open to Feedback

I am afraid there is nothing we can do for that. SAGA supports those formats, and it is a limitation of the software. The only solution is to develope new

things in saga...

#2 - 2013-03-18 09:08 AM - Alex Mandel

Victor Olaya wrote:

I am afraid there is nothing we can do for that. SAGA supports those formats, and it is a limitation of the software. The only solution is to develope

new things in saga...

What about warning users that an operation may not finish, or that it failed because the layer is too big for shp. Mine just sat locked up all night.

#3 - 2014-06-21 02:21 PM - Giovanni Manghi

- Status changed from Feedback to Open

#4 - 2014-10-04 11:56 AM - Giovanni Manghi

- Project changed from 78 to QGIS Application

- Category deleted (56)

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to 2.4.0

#5 - 2014-10-04 11:57 AM - Giovanni Manghi

- Category set to Processing/SAGA

#6 - 2015-06-01 09:17 AM - Giovanni Manghi
- Tracker changed from Bug report to Feature request

#7 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No
